Secrets of Toanium - Bug #110

Import of level doesn't properly link the map it owns.
04/16/2021 06:01 PM - Jay Gischer

Status: Closed Start date: 04/16/2021
Priority: Normal Due date:

Assignee: Jay Gischer % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

If the map is already imported, it's fine, but if it is imported by the level module, it won't recurse into the map to link all the tileRefs.

History

#1 - 04/21/2021 05:44 PM - Jay Gischer

- Status changed from New to Resolved

Levels now recur properly into their components. This entails, however, stopping the recursion if the item is already linked. Mostly this is an issue for
decks.

#2 - 04/22/2021 10:03 PM - Jay Gischer

- Status changed from Resolved to Closed

Fixed in 0.13.3
